Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Branch: master
Fetching contributors…

Cannot retrieve contributors at this time

88 lines (65 sloc) 3.172 kB
I am pleased to announce the release of PDF::Writer 1.1.3. This release
fixes margin setting bugs. I again have to thank the wonderful users of
PDF::Writer:
* Matthew Thill found a bug with #margins_cm, #margins_mm, and
#margins_in. It was reported as #2356 and has been fixed.
= What is PDF::Writer for Ruby?
It provides the ability to create PDF documents using only native Ruby
libraries. There are several demo programs available in the demo/
directory. The canonical documentation for PDF::Writer is the 95-page
manual "manual.pdf", which can be generated using bin/techbook (just
"techbook" for RubyGem users) and the manual file "manual.pwd".
Homepage:: http://ruby-pdf.rubyforge.org/pdf-writer/
Download:: http://rubyforge.org/frs/?group_id=81
Copyright:: 2003—2005, Austin Ziegler
This software is based on Adobe's PDF Reference, Fifth Edition, version
1.6. This and earlier editions are available from Adobe's PDF developer
website[1].
== LICENCE NOTES
PDF::Writer is generally available under an MIT-style licence with few
restrictions, but there are subtle restrictions on portions of the
library, and there are patents for which some rights have been granted
by Adobe. Please read the file LICENCE[2] for more information.
== Requirements and Installation
PDF::Writer requires Ruby 1.8.2 or better, color-tools 1.3.0[3] or
better, and Transaction::Simple 1.3.0[4] or better.
Once these packages are installed, PDF::Writer can be installed with:
% ruby setup.rb
Alternatively, you can use the RubyGems version of PDF::Writer available
as pdf-writer-1.1.3.gem from the usual sources. The gem knows its
dependencies on Transaction::Simple and color-tools and offers to
install them.
== Demo Programs
The demo programs are available as a separately downloadable package. If
PDF::Writer has been installed with RubyGems, then the demos will need to be
run explicitly referencing RubyGems:
% ruby -rubygems chunkybacon.rb
== Whet your appetite:
# This is demo/hello.rb.
require 'pdf/writer'
pdf = PDF::Writer.new
pdf.select_font "Times-Roman"
pdf.text "Hello, Ruby.", :font_size => 72, :justification => :center
pdf.save_as("hello.pdf")
# This is demo/chunkybacon.rb.
require 'pdf/writer'
pdf = PDF::Writer.new
pdf.select_font "Times-Roman"
pdf.text "Chunky Bacon!!", :font_size => 72, :justification => :center
i0 = pdf.image "../images/chunkybacon.jpg", :resize => 0.75
i1 = pdf.image "../images/chunkybacon.png", :justification => :center,
:resize => 0.75
pdf.image i0, :justification => :right, :resize => 0.75
pdf.text "Chunky Bacon!!", :font_size => 72, :justification => :center
pdf.save_as("chunkybacon.pdf")
== PDF::Writer 1.1.3: September 9, 2005
* Fixed #2356 submitted by Matthew Thill. Margins set by the various margins
methods would behave incorrectly.
-austin
1: http://partners.adobe.com/public/developer/pdf/index_reference.html
2: http://ruby-pdf.rubyforge.org/pdf-writer/licence.html
3: http://rubyforge.org/frs/?group_id=295
4: http://rubyforge.org/frs/?group_id=81
--
Austin Ziegler * halostatue@gmail.com
* Alternate: austin@halostatue.ca
Jump to Line
Something went wrong with that request. Please try again.